import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/tBroadcast/category/list`,
    method: 'post',
    data
  })
}

// 新增 编辑
export function submit(data) {
  return request({
    url: `/admin/tBroadcast/category/addOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/tBroadcast/category/queryById/${id}`,
    method: 'get'
  })
}

// 删除
export function remove(ids) {
  return request({
    url: `/admin/tBroadcast/category/hitOrSold/${ids}`,
    method: 'get'
  })
}